# Uses of Class
org.eclipse.birt.report.model.api.FilterConditionElementHandle

Packages that use FilterConditionElementHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of FilterConditionElementHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type FilterConditionElementHandle
Modifier and Type
Method
Description
`static boolean`
ModuleUtil.`isListFilterValue(FilterConditionElementHandle filter)`
Determine if the value1 of this filter condition is a list.

## Uses of FilterConditionElementHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type FilterConditionElementHandle
Modifier and Type
Method
Description
`IFilterConditionElement`
SimpleElementFactory.`createFilterConditionElement(FilterConditionElementHandle handle)`

## Uses of FilterConditionElementHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type FilterConditionElementHandle
Modifier and Type
Method
Description
`IFilterConditionElement`
ISimpleElementFactory.`createFilterConditionElement(FilterConditionElementHandle handle)`
Creates `IFilterConditionElement` instance.